// cMLDonkeyAction.h: interface for the cMLDonkeyAction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMLDONKEYACTION_H__9F4402DE_116E_47DF_9636_D198DFC2421E__INCLUDED_)
#define AFX_CMLDONKEYACTION_H__9F4402DE_116E_47DF_9636_D198DFC2421E__INCLUDED_

class cMLDonkeyAction : public cMLDonkeyStatus  
{
public:
	cMLDonkeyAction();
	virtual ~cMLDonkeyAction();

	cOsdBasicDisplay *ProcessAction(cItemAction *act);

	cOsdBasicDisplay *GetMenuOfDownloadingFiles();
	cOsdBasicDisplay *GetMainMenu();
    cOsdBasicDisplay *GetMenuOfDetailOfDownloadingFiles(int *param);
	cOsdBasicDisplay *GetMenuOfViewServers();
	cOsdBasicDisplay *GetMenuOfStatistic();

public:
	cOsdListReportMenu  COsdMainMenu;
	cOsdListReportMenu  COsdCurrentMenu;

    cOsdBasicDisplay    COsdDetailFiles;



};

#endif // !defined(AFX_CMLDONKEYACTION_H__9F4402DE_116E_47DF_9636_D198DFC2421E__INCLUDED_)
